%define luaver  5.2
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}
%define oname   lualogging

Name:           lua-logging
Version:        1.3.0
Release:        %mkrel 3
Summary:        A simple API to use logging features in Lua
Group:          Development/Other
License:        MIT
URL:            http://neopallium.github.io/lualogging/
Source0:        https://github.com/Neopallium/lualogging/archive/v%{version}.tar.gz

Requires:       lua >= %{luaver}
Requires:       lua-socket
Requires:       lua-sql
BuildArch:      noarch

%description
LuaLogging provides a simple API to use logging features
in Lua. Its design was based on log4j. LuaLogging currently
supports, through the use of appenders, console, file, rolling
file, email, socket and sql outputs.

%prep
%setup -q -n %{oname}-%{version}

%build
%make

%install
%makeinstall \
    PREFIX=%{buildroot}%{_prefix} \
    LUA_DIR=%{buildroot}%{luapkgdir}

%files
%doc README doc/us/*
%{luapkgdir}/logging*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-3.mga5
+ Revision: 743957
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-2.mga5
+ Revision: 682029
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 akien <akien> 1.3.0-1.mga5
+ Revision: 661529
- Version 1.3.0

* Fri Oct 18 2013 umeabot <umeabot> 1.2.0-3.mga4
+ Revision: 507609
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 359069
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 13 2012 shlomif <shlomif> 1.2.0-1.mga3
+ Revision: 260221
- New version - 1.2.0

* Sun Jun 03 2012 fwang <fwang> 1.1.4-6.mga3
+ Revision: 253744
- rebuild for new lua

* Sun Mar 13 2011 shikamaru <shikamaru> 1.1.4-5.mga1
+ Revision: 70265
- imported package lua-logging


* Sat Mar 12 2011 Rémy Clouard <shikamaru@mandriva.org> 1.1.4-5.mga1
- clean spec (buildroot)

* Wed Dec 08 2010 Rémy Clouard <shikamaru@mandriva.org> 1.1.4-4mdv2011.0
+ Revision: 616182
- rebuild for the mass rebuild

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.1.4-3mdv2010.0
+ Revision: 439643
- rebuild

* Sun Dec 28 2008 Jérôme Soyer <saispo@mandriva.org> 1.1.4-2mdv2009.1
+ Revision: 320488
- Add Requires

* Sun Dec 28 2008 Jérôme Soyer <saispo@mandriva.org> 1.1.4-1mdv2009.1
+ Revision: 320487
- Remove dot in Summary
- import lua-logging


